using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            
      
                string slova = Console.ReadLine();
                string broj = Console.ReadLine();
                string[] q = broj.Split(' ',2);
                int q1 = int.Parse(q[0]);
                int q2 = int.Parse(q[1]);
                int u = Math.Abs(q1 - q2);


            if (u > 1)
            {
                Console.WriteLine("nemoguce");

            }
            else
            {
                string o = "";
                while (q1 > 0)
                {
                    o += slova;
                    q1 -= 1;
                }
                Console.WriteLine(o);
            }




        
        }
    }

}